<div class="front_page_section front_page_section_woocommerce<?php
	$wanderic_scheme = wanderic_get_theme_option( 'front_page_woocommerce_scheme' );
	if ( ! empty( $wanderic_scheme ) && ! wanderic_is_inherit( $wanderic_scheme ) ) {
		echo ' scheme_' . esc_attr( $wanderic_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( wanderic_get_theme_option( 'front_page_woocommerce_paddings' ) );
	if ( wanderic_get_theme_option( 'front_page_woocommerce_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$wanderic_css      = '';
		$wanderic_bg_image = wanderic_get_theme_option( 'front_page_woocommerce_bg_image' );
		if ( ! empty( $wanderic_bg_image ) ) {
			$wanderic_css .= 'background-image: url(' . esc_url( wanderic_get_attachment_url( $wanderic_bg_image ) ) . ');';
		}
		if ( ! empty( $wanderic_css ) ) {
			echo ' style="' . esc_attr( $wanderic_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$wanderic_anchor_icon = wanderic_get_theme_option( 'front_page_woocommerce_anchor_icon' );
	$wanderic_anchor_text = wanderic_get_theme_option( 'front_page_woocommerce_anchor_text' );
if ( ( ! empty( $wanderic_anchor_icon ) || ! empty( $wanderic_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_woocommerce"'
									. ( ! empty( $wanderic_anchor_icon ) ? ' icon="' . esc_attr( $wanderic_anchor_icon ) . '"' : '' )
									. ( ! empty( $wanderic_anchor_text ) ? ' title="' . esc_attr( $wanderic_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner
	<?php
	if ( wanderic_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
		echo ' wanderic-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$wanderic_css      = '';
			$wanderic_bg_mask  = wanderic_get_theme_option( 'front_page_woocommerce_bg_mask' );
			$wanderic_bg_color_type = wanderic_get_theme_option( 'front_page_woocommerce_bg_color_type' );
			if ( 'custom' == $wanderic_bg_color_type ) {
				$wanderic_bg_color = wanderic_get_theme_option( 'front_page_woocommerce_bg_color' );
			} elseif ( 'scheme_bg_color' == $wanderic_bg_color_type ) {
				$wanderic_bg_color = wanderic_get_scheme_color( 'bg_color', $wanderic_scheme );
			} else {
				$wanderic_bg_color = '';
			}
			if ( ! empty( $wanderic_bg_color ) && $wanderic_bg_mask > 0 ) {
				$wanderic_css .= 'background-color: ' . esc_attr(
					1 == $wanderic_bg_mask ? $wanderic_bg_color : wanderic_hex2rgba( $wanderic_bg_color, $wanderic_bg_mask )
				) . ';';
			}
			if ( ! empty( $wanderic_css ) ) {
				echo ' style="' . esc_attr( $wanderic_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$wanderic_caption     = wanderic_get_theme_option( 'front_page_woocommerce_caption' );
			$wanderic_description = wanderic_get_theme_option( 'front_page_woocommerce_description' );
			if ( ! empty( $wanderic_caption ) || ! empty( $wanderic_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $wanderic_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $wanderic_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $wanderic_caption, 'wanderic_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description (text)
				if ( ! empty( $wanderic_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $wanderic_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $wanderic_description ), 'wanderic_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
				<?php
				$wanderic_woocommerce_sc = wanderic_get_theme_option( 'front_page_woocommerce_products' );
				if ( 'products' == $wanderic_woocommerce_sc ) {
					$wanderic_woocommerce_sc_ids      = wanderic_get_theme_option( 'front_page_woocommerce_products_per_page' );
					$wanderic_woocommerce_sc_per_page = count( explode( ',', $wanderic_woocommerce_sc_ids ) );
				} else {
					$wanderic_woocommerce_sc_per_page = max( 1, (int) wanderic_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
				}
				$wanderic_woocommerce_sc_columns = max( 1, min( $wanderic_woocommerce_sc_per_page, (int) wanderic_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
				echo do_shortcode(
					"[{$wanderic_woocommerce_sc}"
									. ( 'products' == $wanderic_woocommerce_sc
											? ' ids="' . esc_attr( $wanderic_woocommerce_sc_ids ) . '"'
											: '' )
									. ( 'product_category' == $wanderic_woocommerce_sc
											? ' category="' . esc_attr( wanderic_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
											: '' )
									. ( 'best_selling_products' != $wanderic_woocommerce_sc
											? ' orderby="' . esc_attr( wanderic_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
												. ' order="' . esc_attr( wanderic_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
											: '' )
									. ' per_page="' . esc_attr( $wanderic_woocommerce_sc_per_page ) . '"'
									. ' columns="' . esc_attr( $wanderic_woocommerce_sc_columns ) . '"'
					. ']'
				);
				?>
			</div>
		</div>
	</div>
</div>
