/* global jQuery:false */
/* global WANDERIC_STORAGE:false */

(function() {
	"use strict";

	// Init skin-specific actions on first run
	// Attention! Don't forget to add the class "inited" and check it to prevent re-initialize the elements
	jQuery( document ).on(
		'action.ready_wanderic', function() {
            // mc4wp - id
            if (jQuery( '.mc4wp-form-fields' ).length > 0) {
                var count_mc4wp = 1;
                jQuery( '.mc4wp-form-fields' ).each(
                    function () {
                        jQuery(this).find('input[type="checkbox"]').each(
                            function () {
                                var id = jQuery(this).attr( 'id' );
                                if(id) {}
                                else {
                                    id = 'go';
                                }
                                jQuery(this).attr('id', id + count_mc4wp);
                                jQuery(this).next('label').attr('for', id + count_mc4wp);
                                count_mc4wp++;
                            });
                    });
            };
            if (jQuery('.search_wrap').length > 0) {
                jQuery('.search_wrap').each(function() {
                    var search_wrap = jQuery(this).addClass('inited');
                    var search_field = search_wrap.find('.search_field');

                    jQuery('.extra-search .search_submit').on('click', function(e) {
                        if (search_wrap.hasClass('search_style_fullscreen') && !search_wrap.hasClass('search_opened')) {
                            search_wrap.addClass('search_opened');
                            jQuery('body').addClass('search_open_anim');
                            jQuery( '.search_overlay' ).fadeIn();
                            setTimeout(function() { search_field.get(0).focus(); }, 400);
                        } else if (search_field.val() == '') {
                            if (search_wrap.hasClass('search_opened')) {
                                trx_addons_search_close(search_wrap);
                                //jQuery('body').removeClass('search_open_anim');
                            }
                            else
                                search_field.get(0).focus();
                        } else {
                            //search_wrap.find('form').get(0).submit();
                        }
                        e.preventDefault();
                        return false;
                    });
                    jQuery('.extra-search .search_close').on('click', function(e) {

                        jQuery('body').addClass('search_out_anim');
                        setTimeout(function () {
                            trx_addons_search_close(search_wrap);
                            jQuery('body').removeClass('search_open_anim');
                            jQuery('body').removeClass('search_out_anim');
                            jQuery( '.search_overlay' ).fadeOut();

                            e.preventDefault();
                            return false;
                        }, 800);
                    });
                    // Close search field (remove class 'search_opened' and close search results)
                    function trx_addons_search_close(search_wrap) {
                        search_wrap.removeClass('search_opened');
                        search_wrap.find('.search_results').fadeOut();
                    }
                })
            }



            jQuery( ".trx_addons_popup_form input[type='text'], .trx_addons_popup_form input[type='password']" ).keyup(function() {
                if (this.value) {
                    jQuery(this).addClass('filled');
                } else {
                    jQuery(this).removeClass('filled');
                }
            });


		}
	);

})();
