<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WANDERIC
 * @since WANDERIC 1.0
 */

							// Widgets area inside page content
							wanderic_create_widgets_area( 'widgets_below_content' );
						
							?>
						</div><!-- /.content -->
						<?php

						// Show main sidebar
						get_sidebar();
						?>
					</div><!-- /.content_wrap -->
					<?php

					// Widgets area below page content and related posts below page content
					$wanderic_body_style = wanderic_get_theme_option( 'body_style' );
					$wanderic_widgets_name = wanderic_get_theme_option( 'widgets_below_page' );
					$wanderic_show_widgets = ! wanderic_is_off( $wanderic_widgets_name ) && is_active_sidebar( $wanderic_widgets_name );
					$wanderic_show_related = is_single() && wanderic_get_theme_option( 'related_position' ) == 'below_page';
					if ( $wanderic_show_widgets || $wanderic_show_related ) {
						if ( 'fullscreen' != $wanderic_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $wanderic_show_related ) {
							do_action( 'wanderic_action_related_posts' );
						}

						// Widgets area below page content
						if ( $wanderic_show_widgets ) {
							wanderic_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $wanderic_body_style ) {
							?>
							</div><!-- /.content_wrap -->
							<?php
						}
					}
					?>
			</div><!-- /.page_content_wrap -->
			<?php

			// Don't display the footer elements while actions 'full_post_loading' and 'prev_post_loading'
			if ( ( ! is_singular( 'post' ) && ! is_singular( 'attachment' ) ) || ! in_array ( wanderic_get_value_gp( 'action' ), array( 'full_post_loading', 'prev_post_loading' ) ) ) {
				
				// Skip link anchor to fast access to the footer from keyboard
				?>
				<a id="footer_skip_link_anchor" class="wanderic_skip_link_anchor" href="#"></a>
				<?php

				do_action( 'wanderic_action_before_footer' );

				// Footer
				$wanderic_footer_type = wanderic_get_theme_option( 'footer_type' );
				if ( 'custom' == $wanderic_footer_type && ! wanderic_is_layouts_available() ) {
					$wanderic_footer_type = 'default';
				}
				get_template_part( apply_filters( 'wanderic_filter_get_template_part', "templates/footer-{$wanderic_footer_type}" ) );

				do_action( 'wanderic_action_after_footer' );

			}
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php wp_footer(); ?>

</body>
</html>